=== debian/changelog ===
jzmq (3.1.0-16ubuntu1) noble; urgency=medium

  * d/rules: use java_compat_level variable provided by java-common to
    adjust -source/-target level to the minimum required by the default
    Java (LP: #2052991).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 13 Feb 2024 16:31:51 +1300

jzmq (3.1.0-16) unstable; urgency=medium

  * Add dependency on cppzmq-dev to fix broken build caused by
    change in zeromq3 (in fix for #972785). 
    (Closes: #1020047)

 -- Jan Niehusmann <jan@debian.org>  Tue, 27 Sep 2022 18:59:17 +0200

jzmq (3.1.0-15) unstable; urgency=medium

  * Set source and target version to 1.7 (Closes: Bug#981991)

 -- Jan Niehusmann <jan@debian.org>  Fri, 05 Feb 2021 23:13:17 +0100

jzmq (3.1.0-14) unstable; urgency=medium

  * Use "javac -h" instead of javah, as javah doesn't exist with java 10
    (Requires at least java 8)

 -- Jan Niehusmann <jan@debian.org>  Fri, 04 May 2018 21:18:44 +0200

jzmq (3.1.0-13) unstable; urgency=medium

  * Add watch file
  * Depend on headless jdk
  * Depend on junit4 (Closes: Bug#897470)
  * Set source and target version to 1.6

 -- Jan Niehusmann <jan@debian.org>  Wed, 02 May 2018 23:36:45 +0200

jzmq (3.1.0-12) unstable; urgency=medium

  * Point Vcs-Git and Vcs-Browser URLs to salsa.debian.org
  * Work around #887666 by removing -N option from call to jh_linkjars
  * Set classpath in call to javadoc (Closes: Bug#875592)
    Thanks to Emmanuel Bourg for providing the patch

 -- Jan Niehusmann <jan@debian.org>  Sat, 10 Mar 2018 12:22:28 +0100

jzmq (3.1.0-10) unstable; urgency=medium

  * Apply patch by Steven Chamberlain to fix build on kfreebsd
    (Closes: Bug#816556)

 -- Jan Niehusmann <jan@debian.org>  Thu, 03 Mar 2016 16:22:20 +0100

jzmq (3.1.0-9) unstable; urgency=medium

  * Upgrade dependency to libzmq5
  * Add a missing include which is necessary with the new version
    of libzmq5. Fixed by Laszlo Boszormenyi. (Closes: Bug#815942)

 -- Jan Niehusmann <jan@debian.org>  Mon, 29 Feb 2016 23:37:59 +0100

jzmq (3.1.0-8) unstable; urgency=medium

  * Remove space after option -S in call to dh from debian/rules.
    The additional space seems to break "dh binary-indep", but doesn't
    hurt for "dh binary".
    (Closes: Bug#805944)
  * Only build javadocs for build-indep target

 -- Jan Niehusmann <jan@debian.org>  Tue, 24 Nov 2015 15:33:13 +0100

jzmq (3.1.0-7) unstable; urgency=medium

  * Fix package description. (Closes: Bug#802856)

 -- Jan Niehusmann <jan@debian.org>  Sat, 24 Oct 2015 13:35:12 +0200

jzmq (3.1.0-6) unstable; urgency=medium

  * Place native library in separate binary package, libzmq-jni.
    (Closes: Bug#802276)
  * Make libzmq-jni 'Multi-Arch: same'

 -- Jan Niehusmann <jan@debian.org>  Wed, 21 Oct 2015 18:37:47 +0200

jzmq (3.1.0-5) unstable; urgency=medium

  * Use javahelper with jh_maven_repo_helper (Closes: Bug#802278)

 -- Jan Niehusmann <jan@debian.org>  Wed, 21 Oct 2015 17:02:39 +0200

jzmq (3.1.0-4) unstable; urgency=medium

  * Set locale to en_US when generating javadoc, to make the builds
    reproducible.

 -- Jan Niehusmann <jan@debian.org>  Fri, 10 Jul 2015 09:43:42 +0200

jzmq (3.1.0-3) unstable; urgency=low

  * Fix versioned dependency on default-jdk (epoch was missing)
  * Add Vcs-Git header

 -- Jan Niehusmann <jan@debian.org>  Thu, 22 Jan 2015 11:19:26 +0100

jzmq (3.1.0-2) unstable; urgency=low

  * Build-depend on default-jdk (>= 1.6) | openjdk-6-jdk | java-6-sdk,
    to make sure some jdk-6 is used to build the package.
    (This hopefully fixes builds on kfreebsd and sparc)
  * Add (jzmq) to the package description, so it can be found by
    searching for 'jzmq' (which is the name used by upstream)

 -- Jan Niehusmann <jan@debian.org>  Wed, 21 Jan 2015 20:28:18 +0100

jzmq (3.1.0-1) unstable; urgency=low

  * New packaging of jzmq
    (The existing contents of debian/ from upstream were
    completely outdated, so I started from scratch.
    (Closes: Bug#774985)
  * Cherry-Picked commit c08f892 by J.T. Conklin from upstream to
    pass $(JAVACFLAGS) to $(JAVAC) invocations.

 -- Jan Niehusmann <jan@debian.org>  Sun, 18 Jan 2015 21:47:00 +0100
