=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/java/java_defaults.mk

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export JAVACFLAGS = -source $(java_compat_level) -target $(java_compat_level)

JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@ --with javahelper --with jh_maven_repo_helper -Sautoconf --with autoreconf

build-indep:
	javadoc -locale en_US -d debian/build/javadoc -classpath /usr/share/java/junit4.jar -link /usr/share/doc/default-jdk-doc/api $(shell find -name "*.java")

# work around #887666
override_jh_linkjars:
	jh_linkjars -O-Sautoconf
