=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/jzmq-$1\.tar\.gz/ \
  https://github.com/zeromq/jzmq/tags .*/v?(\d\S+)\.tar\.gz
